Subject: Re: [REGRESSION] next/master: (build) undefined reference to `pm_hibernation_mode_is_suspend' in vmlinux...

From: Randy Dunlap <[email-masked]>
Date: Mon, 29 Sep 2025 08:34:02 -0700

Hi,

On 9/29/25 4:40 AM, Gustavo Padovan wrote:
> Hi Randy,
> 
> 
> ---- On Mon, 29 Sep 2025 01:15:24 -0300 Denys Fedoryshchenko <[email-masked]> wrote ---
> 
>  > Hi Randy, 
>  >  
>  > On Sun, 2025-09-28 at 18:13 -0700, Randy Dunlap wrote: 
>  > > Hi, 
>  > > 
>  > > On 9/26/25 9:59 AM, KernelCI bot wrote: 
>  > > > 
>  > > > 
>  > > > 
>  > > > 
>  > > > Hello, 
>  > > > 
>  > > > New build issue found on next/master: 
>  > > > 
>  > > > --- 
>  > > >  undefined reference to `pm_hibernation_mode_is_suspend' in 
>  > > > vmlinux.unstripped (drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c) 
>  > > > [logspec:kbuild,kbuild.compiler.linker_error] 
>  > > > --- 
>  > > > 
>  > > > - dashboard: 
>  > > > https://d.kernelci.org/i/maestro:74f8fe195e9e78290f1dae54754bf5b8d4b2a893 
>  > > > - giturl: 
>  > > > https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git 
>  > > > - commit HEAD:  262858079afde6d367ce3db183c74d8a43a0e83f 
>  > > > - tags: next-20250926 
>  > > > 
>  > > > 
>  > > > Log excerpt: 
>  > > > ===================================================== 
>  > > >   LD      .tmp_vmlinux1 
>  > > > ld: drivers/gpu/drm/amd/amdgpu/amdgpu_drv.o: in function 
>  > > > `amdgpu_pmops_thaw': 
>  > > > /tmp/kci/linux/drivers/gpu/drm/amd/amdgpu/amdgpu_drv.c:2677: 
>  > > > undefined reference to `pm_hibernation_mode_is_suspend' 
>  > > > 
>  > > > ===================================================== 
>  > > > 
>  > > > 
>  > > > # Builds where the incident occurred: 
>  > > > 
>  > > > ## cros://chromeos-6.6/x86_64/chromeos-amd- 
>  > > > stoneyridge.flavour.config+lab-setup+x86- 
>  > > > board+CONFIG_MODULE_COMPRESS=n+CONFIG_MODULE_COMPRESS_NONE=y on 
>  > > > (x86_64): 
>  > > > - compiler: gcc-12 
>  > > > - dashboard: 
>  > > > https://d.kernelci.org/build/maestro:68d6bd56aabea828fddae00b 
>  > > > 
>  > > > ## cros://chromeos-6.6/x86_64/chromeos-intel- 
>  > > > pineview.flavour.config+lab-setup+x86- 
>  > > > board+CONFIG_MODULE_COMPRESS=n+CONFIG_MODULE_COMPRESS_NONE=y on 
>  > > > (x86_64): 
>  > > > - compiler: gcc-12 
>  > > > - dashboard: 
>  > > > https://d.kernelci.org/build/maestro:68d6bd59aabea828fddae00e 
>  > > > 
>  > > 
>  > > Is there a URL for the .config file that causes the 
>  > > build error? 
>  > Yes, 
>  > https://files.kernelci.org/kbuild-gcc-12-x86-chromeos-intel-68d6bd59aabea828fddae00e/.config 
>  
> Out of curiosity,  have you tried to find the config in our Dashboard? We added basic information in
> the email report and then the Dashboard link take you to our comprehensive report.
> 

I did look at the Dashboard first but it seems that I overlooked the config file info.

> Any feedback here?
I would rather not use the Dashboard until I need to dig deeperinto the problem. IOW, I prefer to have the config file URL
in the email report.

Thanks.
-- 
~Randy